List Accuracy claims
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/accuracy/claims \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/accuracy/claims"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/accuracy/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/accuracy/claims",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/accuracy/claims"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://devtune.ai/api/v2/projects/{projectId}/accuracy/claims")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/accuracy/claims")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"pagination": {
"hasMore": true,
"nextCursor": "<string>"
},
"window": {
"days": 30,
"from": "2023-12-25",
"to": "2023-12-25"
},
"outcome": "contradict",
"items": [
{
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claim_text": "<string>",
"answers": 1,
"platforms": [
"<string>"
],
"last_seen_on": "2023-12-25",
"last_seen_at": "2023-11-07T05:31:56Z",
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claim_index": 1,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_text": "<string>",
"excerpt": "<string>",
"site_page": {
"url": "<string>",
"quote": "<string>",
"page_type": "<string>",
"crawled_at": "2023-11-07T05:31:56Z",
"locked": true
},
"other_page": {
"url": "<string>",
"quote": "<string>",
"page_type": "<string>",
"role": "conflicting_page",
"locked": true
},
"decision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "contradiction",
"choice": "not_a_contradiction",
"chosen_url": "<string>",
"changed_url": "<string>",
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action_role": "created",
"no_action_reason": "dismissed",
"label": "<unknown>",
"decided_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decided_at": "2023-11-07T05:31:56Z",
"undo_available": true
},
"answered": true,
"sentence_key": "<string>",
"action": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "open",
"loop_state": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
}
],
"dismissed_count": 1,
"dismissed_contradiction_count": 1,
"dismissed_site_conflict_count": 1,
"answered_count": 1,
"next_cursor": "<string>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}Accuracy
List Accuracy claims
Lists the claim groups with one outcome over the same window and filters as getAccuracy, most answers first, then most recently seen. Each item carries the latest answer with that outcome, the site page and any other page, and the team’s active decision. Requires the accuracy.read scope.
GET
/
projects
/
{projectId}
/
accuracy
/
claims
List Accuracy claims
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/accuracy/claims \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/accuracy/claims"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/accuracy/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/accuracy/claims",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/accuracy/claims"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://devtune.ai/api/v2/projects/{projectId}/accuracy/claims")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/accuracy/claims")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"pagination": {
"hasMore": true,
"nextCursor": "<string>"
},
"window": {
"days": 30,
"from": "2023-12-25",
"to": "2023-12-25"
},
"outcome": "contradict",
"items": [
{
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claim_text": "<string>",
"answers": 1,
"platforms": [
"<string>"
],
"last_seen_on": "2023-12-25",
"last_seen_at": "2023-11-07T05:31:56Z",
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claim_index": 1,
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_text": "<string>",
"excerpt": "<string>",
"site_page": {
"url": "<string>",
"quote": "<string>",
"page_type": "<string>",
"crawled_at": "2023-11-07T05:31:56Z",
"locked": true
},
"other_page": {
"url": "<string>",
"quote": "<string>",
"page_type": "<string>",
"role": "conflicting_page",
"locked": true
},
"decision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "contradiction",
"choice": "not_a_contradiction",
"chosen_url": "<string>",
"changed_url": "<string>",
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action_role": "created",
"no_action_reason": "dismissed",
"label": "<unknown>",
"decided_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decided_at": "2023-11-07T05:31:56Z",
"undo_available": true
},
"answered": true,
"sentence_key": "<string>",
"action": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "open",
"loop_state": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
}
],
"dismissed_count": 1,
"dismissed_contradiction_count": 1,
"dismissed_site_conflict_count": 1,
"answered_count": 1,
"next_cursor": "<string>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {
"retryable": true,
"retryAfterSeconds": 2
}
}